<cfcomponent>
	<cfset variables.ds = "zipcodes">
	<cfset variables.name = "">
	
	<cffunction name="init" returntype="County" output="false">
		<cfargument name="name" required="true" type="string">
		<cfset setName(arguments.name)>
		<cfreturn this>
	</cffunction>
	
	<cffunction name="setName" returntype="void" output="false">
		<cfargument name="name" type="string" required="true">
		<cfset variables.name = arguments.name>
	</cffunction>
	
	<cffunction name="getName" returntype="string" output="false">
		<cfreturn variables.name>
	</cffunction>
	
	
	<cffunction name="getCities" returntype="array" output="false">
		<cfset var array = ArrayNew(1)>
		<cfset var q = "">
		<cfset var city = "">
		<cfquery datasource="#variables.ds#" name="q">
			SELECT zipcode FROM zipcodes
			WHERE county = <cfqueryparam value="#getName()#" cfsqltype="cf_sql_varchar">
		</cfquery>
		<cfoutput query="q">
			<cfset city = CreateObject("component", "City")>
			<cfset city.init(q.zipcode)>
			<cfset ArrayAppend(array, city)>
		</cfoutput>
		<cfreturn array>
	</cffunction>
	
	
</cfcomponent>