<cfset cd = CreateObject("component", "product")>
<cfset cd.setType("cd")>
<cfset cd.setPrice(9.99)>
<cfset cd.setName("Moe Wormwood")>


<cfset book = CreateObject("component", "Book")>
<cfset book.setPrice(29.99)>
<cfset book.setName("ColdFusion MX Developers Cookbook")>
<cfset book.setAuthors("Pete Freitag, Brad Laupen, Chris Reeves")>


<cfset movie = CreateObject("component", "Movie")>
<cfset movie.setPrice(14.99)>
<cfset movie.setName("Matt Damon")>
<cfset movie.setCast("Borne Identity")>




<!--- add to cart --->
<cfset cart = CreateObject("component", "Cart")>
<cfset cart.add(cd)>
<cfset cart.add(book)>
<cfset cart.add(movie)>

<!--- output cart --->
<cfset items = cart.getItems()>
<cfoutput>
<table cellspacing="0" cellpadding="12">
	<tr>
		<th>Product Name</th>
		<th>Type</th>
		<th>Price</th>
	</tr>
	<cfloop from="1" to="#arrayLen(items)#" index="i">
		<tr>
			<td>#items[i].getName()#</td>
			<td>#items[i].getType()#</td>
			<td>#items[i].getPrice()#</td>
		</tr>
	</cfloop>
	<tr>
		<td colspan="3" align="right"><strong>Total: #cart.getTotalPrice()#</strong></td>
	</tr>
</table>
</cfoutput>