<cfcomponent hint="I represent a city" output="false">
	
	<cfset variables.ds = "zipcodes">
	
	<cfset variables.cityName = "">
	<cfset variables.zip = "">
	<cfset variables.county = "">
	<cfset variables.state  = "">
	
	<cffunction name="init" returntype="City" output="false">
		<cfargument name="zip" type="numeric" required="true">
		<cfset var q = "">
		<cfset variables.state = CreateObject("component", "State")>
		<cfset variables.county = CreateObject("component", "County")>
		<cfset setZip(arguments.zip)>
		<cfquery datasource="#variables.ds#" name="q">
			SELECT city, state, county
			FROM zipcodes
			WHERE zipcode = <cfqueryparam value="#arguments.zip#">
		</cfquery>
		<cfif q.recordcount>
			<cfset setCityName(q.city)>
			<cfset variables.county.init(q.county)>
			<cfset variables.state.init(q.state)>	
		</cfif>
		<cfreturn this>
	</cffunction>
	
	<cffunction name="getState" returntype="State" output="false">
		<cfreturn variables.state>
	</cffunction>
	
	<cffunction name="getCounty" returntype="County" output="false">
		<cfreturn variables.county>
	</cffunction>
	
	<cffunction name="getCityName" returntype="string" output="false">
		<cfreturn variables.cityName>
	</cffunction>
	
	<cffunction name="setCityName" returntype="void" output="false">
		<cfargument name="cityName" type="string" required="true">
		<cfset variables.cityName = arguments.cityName>
	</cffunction>
	
	<cffunction name="getZip" returntype="string" output="false">
		<cfreturn variables.zip>
	</cffunction>
	
	<cffunction name="setZip" returntype="void" output="false">
		<cfargument name="zip" type="string" required="true">
		<cfset variables.zip = arguments.zip>
	</cffunction>
	
	
	
</cfcomponent>