<cfcomponent output="false">
	<cfset variables.ds = "zipcodes">
	<cfset variables.stateCode = "">
	
	<cffunction name="init" returntype="State" output="false">
		<cfargument name="stateCode" type="string" required="true">
		<cfset setStateCode(arguments.stateCode)>
		<cfreturn this>
	</cffunction>
	
	<cffunction name="setStateCode" returntype="void" output="false">
		<cfargument name="stateCode" type="string" required="true">
		<cfif Len(arguments.stateCode) NEQ 2>
			<cfthrow message="State code must be two characters">
		</cfif>
		<cfset variables.stateCode = UCase(arguments.stateCode)>
	</cffunction>
	
	<cffunction name="getStateCode" returntype="string" output="false">
		<cfreturn variables.stateCode>
	</cffunction>
	
	
	
	<cffunction name="getStateName" returntype="string" output="false">	
		<!--- ideally this would be in the db --->
		<cfswitch expression="#getStateCode()#">
			<cfcase value="NY"><cfreturn "New York"></cfcase>
			<cfcase value="CA"><cfreturn "California"></cfcase>
			<cfdefaultcase><cfreturn "I Donno"></cfdefaultcase>
		</cfswitch>
	</cffunction>
	
</cfcomponent>