<cfcomponent displayname="Product" output="false">
	
	<cfset variables.price = 0>
	<cfset variables.name = "">
	<cfset variables.type = "">
	
	<cffunction name="getPrice" returntype="numeric" output="false">
		<cfreturn variables.price>
	</cffunction>
	
	<cffunction name="setPrice" returntype="void" output="false">
		<cfargument name="price" type="numeric" required="true">
		<cfset variables.price = arguments.price>
	</cffunction>
	
	<cffunction name="getName" returntype="string" output="false">
		<cfreturn variables.name>
	</cffunction>
	
	<cffunction name="setName" returntype="void" output="false">
		<cfargument name="name" type="string" required="true">
		<cfset variables.name = arguments.name>
	</cffunction>
	
	<cffunction name="getType" returntype="string" output="false">
		<cfreturn variables.type>
	</cffunction>
	
	<cffunction name="setType" returntype="void" output="false">
		<cfargument name="type" type="string" required="true">
		<cfif NOT ListFind("book,movie,cd", arguments.type)>
			<cfthrow message="Invalid Product Type">
		</cfif>
		<cfset variables.type = arguments.type>
	</cffunction>
	
	
</cfcomponent>