<cfcomponent extends="Product">
	<cfset setType("book")>
	
	<cfset variables.authors = "">
	<cfset variables.isbn = "">
	<cfset variables.publisher = "">
	
	
	
	<cffunction name="getAuthors" returntype="string" output="false">
		<cfreturn variables.authors>
	</cffunction>
	
	<cffunction name="setAuthors" returntype="void" output="false">
		<cfargument name="authors" type="string" required="true">
		<cfset variables.authors = arguments.authors>
	</cffunction>
	
	<!--- We can override the getName method --->
	<cffunction name="getName" returntype="string" output="false">
		<cfreturn super.getName() & " by " & getAuthors()>
	</cffunction>
	
</cfcomponent>